lp:~noskcaj/ubuntu/vivid/grilo-plugins/split

Created by Jackson Doak on 2015-02-13 and last modified on 2015-02-14
Get this branch:
bzr branch lp:~noskcaj/ubuntu/vivid/grilo-plugins/split
Only Jackson Doak can upload to this branch. If you are Jackson Doak please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Jackson Doak
Status:
Development

Recent revisions

32. By Jackson Doak on 2015-02-13

Typo fix

31. By Jackson Doak on 2015-02-13

More improvements

30. By Jackson Doak on 2015-02-13

Don't list all files separately

29. By Jackson Doak on 2015-02-13

depend on -base rather than recomend

28. By Jackson Doak on 2015-02-13

* Split package into -base and -extra
* Add upstream patch to suppport new guardianvideos API

27. By Alberto Garcia on 2014-11-17

* libgom is still not available in Debian, so let's use the bookmarks
  plugin from 0.2.12, which does not depend on it.
  - old-bookmarks-plugin.patch: bring back the old code.
  - debian/control: add the plugin name to the package description.

26. By Alberto Garcia on 2014-11-16

* debian/control:
  - Add build dependency on librest-dev, needed by the Pocket
    plugin. This has been working so far because librest-dev is also
    a dependency of libgoa-1.0-dev, but we should not rely on that.
  - Make grilo-plugins recommend dleyna-server (Closes: #765986).
* fix-dleyna-crash.patch:
  - Fix crash due to variable redefinition (Closes: #769357).

25. By Alberto Garcia on 2014-08-27

* New upstream release (Closes: #750038).
* debian/control:
  - Replace the UPnP plugin with the new dLeyna plugin.
  - Disable the Bookmarks plugin since it now requires libgom, which is
    not available in Debian.
  - Add build dependencies on libarchive-dev and python-dbusmock.
  - Drop the build dependencies on gupnp, gupnp-av and libgcrypt.
  - Bump the build dependencies on libglib2.0-dev and libgrilo-0.2-dev.
* debian/grilo-plugins-0.2.lintian-overrides:
  - Ignore hardening warnings, the strncpy() and gethostname() calls in
    grl-dleyna-utils.c are guaranteed to have enough space.

24. By Iain Lane on 2014-07-15

No-change rebuild against libgdata19

23. By Alberto Garcia on 2014-05-27

* Enable the Pocket plugin:
  - debian/control: set libgoa dependency to >= 3.11.4 and update
    package description.
  - debian/rules: remove the --disable-pocket option.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/vivid/grilo-plugins
This branch contains Public information 
Everyone can see this information.

Subscribers